<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/PTree/NodesFwd.hh.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/NodesFwd.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/PTree/NodesFwd.hh</b><pre class="sxr"><a id="line1"></a><span class="lineno">  1</span><span class="line"><span class="comment">//</span></span>
<a id="line2"></a><span class="lineno">  2</span><span class="line"><span class="comment">// Copyright (C) 2005 Stefan Seefeld</span></span>
<a id="line3"></a><span class="lineno">  3</span><span class="line"><span class="comment">// All rights reserved.</span></span>
<a id="line4"></a><span class="lineno">  4</span><span class="line"><span class="comment">// Licensed to the public under the terms of the GNU LGPL (&gt;= 2),</span></span>
<a id="line5"></a><span class="lineno">  5</span><span class="line"><span class="comment">// see the file COPYING for details.</span></span>
<a id="line6"></a><span class="lineno">  6</span><span class="line"><span class="comment">//</span></span>
<a id="line7"></a><span class="lineno">  7</span><span class="line">#ifndef Synopsis_PTree_NodesFwd_hh_</span>
<a id="line8"></a><span class="lineno">  8</span><span class="line">#define Synopsis_PTree_NodesFwd_hh_</span>
<a id="line9"></a><span class="lineno">  9</span>
<a id="line10"></a><span class="lineno"> 10</span><span class="line">#include &lt;Synopsis/Token.hh&gt;</span>
<a id="line11"></a><span class="lineno"> 11</span>
<a id="line12"></a><span class="lineno"> 12</span><span class="line"><span class="keyword">namespace</span> <a href="../../../Scopes/Synopsis.html" title="namespace Synopsis">Synopsis</a></span>
<a id="line13"></a><span class="lineno"> 13</span><span class="line">{</span>
<a id="line14"></a><span class="lineno"> 14</span><span class="line"><span class="keyword">namespace</span> <a href="../../../Scopes/Synopsis/PTree.html" title="namespace Synopsis::PTree">PTree</a></span>
<a id="line15"></a><span class="lineno"> 15</span><span class="line">{</span>
<a id="line16"></a><span class="lineno"> 16</span>
<a id="line17"></a><span class="lineno"> 17</span><span class="line">class Node;</span>
<a id="line18"></a><span class="lineno"> 18</span><span class="line">class Atom;</span>
<a id="line19"></a><span class="lineno"> 19</span><span class="line">class List;</span>
<a id="line20"></a><span class="lineno"> 20</span><span class="line">class Literal;</span>
<a id="line21"></a><span class="lineno"> 21</span><span class="line">class CommentedAtom;</span>
<a id="line22"></a><span class="lineno"> 22</span><span class="line">class DupAtom;</span>
<a id="line23"></a><span class="lineno"> 23</span><span class="line">class Identifier;</span>
<a id="line24"></a><span class="lineno"> 24</span><span class="line">class Keyword;</span>
<a id="line25"></a><span class="lineno"> 25</span><span class="line">template &lt;Token::Type&gt; class KeywordT;</span>
<a id="line26"></a><span class="lineno"> 26</span>
<a id="line27"></a><span class="lineno"> 27</span><span class="line"><span class="keyword">namespace</span> <a href="../../../Scopes/Synopsis/PTree/Kwd.html" title="namespace Synopsis::PTree::Kwd">Kwd</a></span>
<a id="line28"></a><span class="lineno"> 28</span><span class="line">{</span>
<a id="line29"></a><span class="lineno"> 29</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#AUTO" title="enumerator Synopsis::Token::AUTO">Token::AUTO</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Auto" title="typedef Synopsis::PTree::Kwd::Auto">Auto</a>;</span>
<a id="line30"></a><span class="lineno"> 30</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#BOOLEAN" title="enumerator Synopsis::Token::BOOLEAN">Token::BOOLEAN</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Bool" title="typedef Synopsis::PTree::Kwd::Bool">Bool</a>;</span>
<a id="line31"></a><span class="lineno"> 31</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#BREAK" title="enumerator Synopsis::Token::BREAK">Token::BREAK</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Break" title="typedef Synopsis::PTree::Kwd::Break">Break</a>;</span>
<a id="line32"></a><span class="lineno"> 32</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#CASE" title="enumerator Synopsis::Token::CASE">Token::CASE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Case" title="typedef Synopsis::PTree::Kwd::Case">Case</a>;</span>
<a id="line33"></a><span class="lineno"> 33</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#CATCH" title="enumerator Synopsis::Token::CATCH">Token::CATCH</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Catch" title="typedef Synopsis::PTree::Kwd::Catch">Catch</a>;</span>
<a id="line34"></a><span class="lineno"> 34</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#CHAR" title="enumerator Synopsis::Token::CHAR">Token::CHAR</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Char" title="typedef Synopsis::PTree::Kwd::Char">Char</a>;</span>
<a id="line35"></a><span class="lineno"> 35</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#CLASS" title="enumerator Synopsis::Token::CLASS">Token::CLASS</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Class" title="typedef Synopsis::PTree::Kwd::Class">Class</a>;</span>
<a id="line36"></a><span class="lineno"> 36</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#CONTINUE" title="enumerator Synopsis::Token::CONTINUE">Token::CONTINUE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Continue" title="typedef Synopsis::PTree::Kwd::Continue">Continue</a>;</span>
<a id="line37"></a><span class="lineno"> 37</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#CONST" title="enumerator Synopsis::Token::CONST">Token::CONST</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Const" title="typedef Synopsis::PTree::Kwd::Const">Const</a>;</span>
<a id="line38"></a><span class="lineno"> 38</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#DEFAULT" title="enumerator Synopsis::Token::DEFAULT">Token::DEFAULT</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Default" title="typedef Synopsis::PTree::Kwd::Default">Default</a>;</span>
<a id="line39"></a><span class="lineno"> 39</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#DELETE" title="enumerator Synopsis::Token::DELETE">Token::DELETE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Delete" title="typedef Synopsis::PTree::Kwd::Delete">Delete</a>;</span>
<a id="line40"></a><span class="lineno"> 40</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#DOUBLE" title="enumerator Synopsis::Token::DOUBLE">Token::DOUBLE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Double" title="typedef Synopsis::PTree::Kwd::Double">Double</a>;</span>
<a id="line41"></a><span class="lineno"> 41</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#DO" title="enumerator Synopsis::Token::DO">Token::DO</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Do" title="typedef Synopsis::PTree::Kwd::Do">Do</a>;</span>
<a id="line42"></a><span class="lineno"> 42</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#ELSE" title="enumerator Synopsis::Token::ELSE">Token::ELSE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Else" title="typedef Synopsis::PTree::Kwd::Else">Else</a>;</span>
<a id="line43"></a><span class="lineno"> 43</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#ENUM" title="enumerator Synopsis::Token::ENUM">Token::ENUM</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Enum" title="typedef Synopsis::PTree::Kwd::Enum">Enum</a>;</span>
<a id="line44"></a><span class="lineno"> 44</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#EXTERN" title="enumerator Synopsis::Token::EXTERN">Token::EXTERN</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Extern" title="typedef Synopsis::PTree::Kwd::Extern">Extern</a>;</span>
<a id="line45"></a><span class="lineno"> 45</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#FLOAT" title="enumerator Synopsis::Token::FLOAT">Token::FLOAT</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Float" title="typedef Synopsis::PTree::Kwd::Float">Float</a>;</span>
<a id="line46"></a><span class="lineno"> 46</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#FOR" title="enumerator Synopsis::Token::FOR">Token::FOR</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#For" title="typedef Synopsis::PTree::Kwd::For">For</a>;</span>
<a id="line47"></a><span class="lineno"> 47</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#FRIEND" title="enumerator Synopsis::Token::FRIEND">Token::FRIEND</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Friend" title="typedef Synopsis::PTree::Kwd::Friend">Friend</a>;</span>
<a id="line48"></a><span class="lineno"> 48</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#GOTO" title="enumerator Synopsis::Token::GOTO">Token::GOTO</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Goto" title="typedef Synopsis::PTree::Kwd::Goto">Goto</a>;</span>
<a id="line49"></a><span class="lineno"> 49</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#INLINE" title="enumerator Synopsis::Token::INLINE">Token::INLINE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Inline" title="typedef Synopsis::PTree::Kwd::Inline">Inline</a>;</span>
<a id="line50"></a><span class="lineno"> 50</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#IF" title="enumerator Synopsis::Token::IF">Token::IF</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#If" title="typedef Synopsis::PTree::Kwd::If">If</a>;</span>
<a id="line51"></a><span class="lineno"> 51</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#INT" title="enumerator Synopsis::Token::INT">Token::INT</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Int" title="typedef Synopsis::PTree::Kwd::Int">Int</a>;</span>
<a id="line52"></a><span class="lineno"> 52</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#LONG" title="enumerator Synopsis::Token::LONG">Token::LONG</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Long" title="typedef Synopsis::PTree::Kwd::Long">Long</a>;</span>
<a id="line53"></a><span class="lineno"> 53</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#MUTABLE" title="enumerator Synopsis::Token::MUTABLE">Token::MUTABLE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Mutable" title="typedef Synopsis::PTree::Kwd::Mutable">Mutable</a>;</span>
<a id="line54"></a><span class="lineno"> 54</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#NAMESPACE" title="enumerator Synopsis::Token::NAMESPACE">Token::NAMESPACE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Namespace" title="typedef Synopsis::PTree::Kwd::Namespace">Namespace</a>;</span>
<a id="line55"></a><span class="lineno"> 55</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#NEW" title="enumerator Synopsis::Token::NEW">Token::NEW</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#New" title="typedef Synopsis::PTree::Kwd::New">New</a>;</span>
<a id="line56"></a><span class="lineno"> 56</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#OPERATOR" title="enumerator Synopsis::Token::OPERATOR">Token::OPERATOR</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Operator" title="typedef Synopsis::PTree::Kwd::Operator">Operator</a>;</span>
<a id="line57"></a><span class="lineno"> 57</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#PRIVATE" title="enumerator Synopsis::Token::PRIVATE">Token::PRIVATE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Private" title="typedef Synopsis::PTree::Kwd::Private">Private</a>;</span>
<a id="line58"></a><span class="lineno"> 58</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#PROTECTED" title="enumerator Synopsis::Token::PROTECTED">Token::PROTECTED</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Protected" title="typedef Synopsis::PTree::Kwd::Protected">Protected</a>;</span>
<a id="line59"></a><span class="lineno"> 59</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#PUBLIC" title="enumerator Synopsis::Token::PUBLIC">Token::PUBLIC</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Public" title="typedef Synopsis::PTree::Kwd::Public">Public</a>;</span>
<a id="line60"></a><span class="lineno"> 60</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#REGISTER" title="enumerator Synopsis::Token::REGISTER">Token::REGISTER</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Register" title="typedef Synopsis::PTree::Kwd::Register">Register</a>;</span>
<a id="line61"></a><span class="lineno"> 61</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#RETURN" title="enumerator Synopsis::Token::RETURN">Token::RETURN</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Return" title="typedef Synopsis::PTree::Kwd::Return">Return</a>;</span>
<a id="line62"></a><span class="lineno"> 62</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#SHORT" title="enumerator Synopsis::Token::SHORT">Token::SHORT</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Short" title="typedef Synopsis::PTree::Kwd::Short">Short</a>;</span>
<a id="line63"></a><span class="lineno"> 63</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#SIGNED" title="enumerator Synopsis::Token::SIGNED">Token::SIGNED</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Signed" title="typedef Synopsis::PTree::Kwd::Signed">Signed</a>;</span>
<a id="line64"></a><span class="lineno"> 64</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#STATIC" title="enumerator Synopsis::Token::STATIC">Token::STATIC</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Static" title="typedef Synopsis::PTree::Kwd::Static">Static</a>;</span>
<a id="line65"></a><span class="lineno"> 65</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#STRUCT" title="enumerator Synopsis::Token::STRUCT">Token::STRUCT</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Struct" title="typedef Synopsis::PTree::Kwd::Struct">Struct</a>;</span>
<a id="line66"></a><span class="lineno"> 66</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#SWITCH" title="enumerator Synopsis::Token::SWITCH">Token::SWITCH</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Switch" title="typedef Synopsis::PTree::Kwd::Switch">Switch</a>;</span>
<a id="line67"></a><span class="lineno"> 67</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#TEMPLATE" title="enumerator Synopsis::Token::TEMPLATE">Token::TEMPLATE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Template" title="typedef Synopsis::PTree::Kwd::Template">Template</a>;</span>
<a id="line68"></a><span class="lineno"> 68</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#THIS" title="enumerator Synopsis::Token::THIS">Token::THIS</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#This" title="typedef Synopsis::PTree::Kwd::This">This</a>;</span>
<a id="line69"></a><span class="lineno"> 69</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#THROW" title="enumerator Synopsis::Token::THROW">Token::THROW</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Throw" title="typedef Synopsis::PTree::Kwd::Throw">Throw</a>;</span>
<a id="line70"></a><span class="lineno"> 70</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#TRY" title="enumerator Synopsis::Token::TRY">Token::TRY</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Try" title="typedef Synopsis::PTree::Kwd::Try">Try</a>;</span>
<a id="line71"></a><span class="lineno"> 71</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#TYPEDEF" title="enumerator Synopsis::Token::TYPEDEF">Token::TYPEDEF</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Typedef" title="typedef Synopsis::PTree::Kwd::Typedef">Typedef</a>;</span>
<a id="line72"></a><span class="lineno"> 72</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#TYPENAME" title="enumerator Synopsis::Token::TYPENAME">Token::TYPENAME</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Typename" title="typedef Synopsis::PTree::Kwd::Typename">Typename</a>;</span>
<a id="line73"></a><span class="lineno"> 73</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#TYPEOF" title="enumerator Synopsis::Token::TYPEOF">Token::TYPEOF</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Typeof" title="typedef Synopsis::PTree::Kwd::Typeof">Typeof</a>;</span>
<a id="line74"></a><span class="lineno"> 74</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#UNION" title="enumerator Synopsis::Token::UNION">Token::UNION</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Union" title="typedef Synopsis::PTree::Kwd::Union">Union</a>;</span>
<a id="line75"></a><span class="lineno"> 75</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#UNSIGNED" title="enumerator Synopsis::Token::UNSIGNED">Token::UNSIGNED</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Unsigned" title="typedef Synopsis::PTree::Kwd::Unsigned">Unsigned</a>;</span>
<a id="line76"></a><span class="lineno"> 76</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#USING" title="enumerator Synopsis::Token::USING">Token::USING</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Using" title="typedef Synopsis::PTree::Kwd::Using">Using</a>;</span>
<a id="line77"></a><span class="lineno"> 77</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#VIRTUAL" title="enumerator Synopsis::Token::VIRTUAL">Token::VIRTUAL</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Virtual" title="typedef Synopsis::PTree::Kwd::Virtual">Virtual</a>;</span>
<a id="line78"></a><span class="lineno"> 78</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#VOID" title="enumerator Synopsis::Token::VOID">Token::VOID</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Void" title="typedef Synopsis::PTree::Kwd::Void">Void</a>;</span>
<a id="line79"></a><span class="lineno"> 79</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#VOLATILE" title="enumerator Synopsis::Token::VOLATILE">Token::VOLATILE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#Volatile" title="typedef Synopsis::PTree::Kwd::Volatile">Volatile</a>;</span>
<a id="line80"></a><span class="lineno"> 80</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#WCHAR" title="enumerator Synopsis::Token::WCHAR">Token::WCHAR</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#WChar" title="typedef Synopsis::PTree::Kwd::WChar">WChar</a>;</span>
<a id="line81"></a><span class="lineno"> 81</span><span class="line"><span class="keyword">typedef</span> <a href="../../../Scopes/Synopsis/PTree/KeywordT.html" title="class Synopsis::PTree::KeywordT">KeywordT</a>&lt;<a href="../../../Scopes/Synopsis/Token.html#WHILE" title="enumerator Synopsis::Token::WHILE">Token::WHILE</a>&gt; <a href="../../../Scopes/Synopsis/PTree/Kwd.html#While" title="typedef Synopsis::PTree::Kwd::While">While</a>;</span>
<a id="line82"></a><span class="lineno"> 82</span><span class="line">}</span>
<a id="line83"></a><span class="lineno"> 83</span>
<a id="line84"></a><span class="lineno"> 84</span><span class="line">class Brace;</span>
<a id="line85"></a><span class="lineno"> 85</span><span class="line">class Block;</span>
<a id="line86"></a><span class="lineno"> 86</span><span class="line">class ClassBody;</span>
<a id="line87"></a><span class="lineno"> 87</span><span class="line">class Typedef;</span>
<a id="line88"></a><span class="lineno"> 88</span><span class="line">class TemplateDecl;</span>
<a id="line89"></a><span class="lineno"> 89</span><span class="line">class TemplateInstantiation;</span>
<a id="line90"></a><span class="lineno"> 90</span><span class="line">class ExternTemplate;</span>
<a id="line91"></a><span class="lineno"> 91</span><span class="line">class MetaclassDecl;</span>
<a id="line92"></a><span class="lineno"> 92</span><span class="line">class LinkageSpec;</span>
<a id="line93"></a><span class="lineno"> 93</span><span class="line">class NamespaceSpec;</span>
<a id="line94"></a><span class="lineno"> 94</span><span class="line">class NamespaceAlias;</span>
<a id="line95"></a><span class="lineno"> 95</span><span class="line">class UsingDirective;</span>
<a id="line96"></a><span class="lineno"> 96</span><span class="line">class Declaration;</span>
<a id="line97"></a><span class="lineno"> 97</span><span class="line">class FunctionDefinition;</span>
<a id="line98"></a><span class="lineno"> 98</span><span class="line">class ParameterDeclaration;</span>
<a id="line99"></a><span class="lineno"> 99</span><span class="line">class UsingDeclaration;</span>
<a id="line100"></a><span class="lineno">100</span><span class="line">class Declarator;</span>
<a id="line101"></a><span class="lineno">101</span><span class="line">class Name;</span>
<a id="line102"></a><span class="lineno">102</span><span class="line">class FstyleCastExpr;</span>
<a id="line103"></a><span class="lineno">103</span><span class="line">class ClassSpec;</span>
<a id="line104"></a><span class="lineno">104</span><span class="line">class EnumSpec;</span>
<a id="line105"></a><span class="lineno">105</span><span class="line">class TypeParameter;</span>
<a id="line106"></a><span class="lineno">106</span><span class="line">class AccessSpec;</span>
<a id="line107"></a><span class="lineno">107</span><span class="line">class AccessDecl;</span>
<a id="line108"></a><span class="lineno">108</span><span class="line">class UserAccessSpec;</span>
<a id="line109"></a><span class="lineno">109</span><span class="line">class IfStatement;</span>
<a id="line110"></a><span class="lineno">110</span><span class="line">class SwitchStatement;</span>
<a id="line111"></a><span class="lineno">111</span><span class="line">class WhileStatement;</span>
<a id="line112"></a><span class="lineno">112</span><span class="line">class DoStatement;</span>
<a id="line113"></a><span class="lineno">113</span><span class="line">class ForStatement;</span>
<a id="line114"></a><span class="lineno">114</span><span class="line">class TryStatement;</span>
<a id="line115"></a><span class="lineno">115</span><span class="line">class BreakStatement;</span>
<a id="line116"></a><span class="lineno">116</span><span class="line">class ContinueStatement;</span>
<a id="line117"></a><span class="lineno">117</span><span class="line">class ReturnStatement;</span>
<a id="line118"></a><span class="lineno">118</span><span class="line">class GotoStatement;</span>
<a id="line119"></a><span class="lineno">119</span><span class="line">class CaseStatement;</span>
<a id="line120"></a><span class="lineno">120</span><span class="line">class DefaultStatement;</span>
<a id="line121"></a><span class="lineno">121</span><span class="line">class LabelStatement;</span>
<a id="line122"></a><span class="lineno">122</span><span class="line">class ExprStatement;</span>
<a id="line123"></a><span class="lineno">123</span><span class="line">class Expression;</span>
<a id="line124"></a><span class="lineno">124</span><span class="line">class AssignExpr;</span>
<a id="line125"></a><span class="lineno">125</span><span class="line">class CondExpr;</span>
<a id="line126"></a><span class="lineno">126</span><span class="line">class InfixExpr;</span>
<a id="line127"></a><span class="lineno">127</span><span class="line">class PmExpr;</span>
<a id="line128"></a><span class="lineno">128</span><span class="line">class CastExpr;</span>
<a id="line129"></a><span class="lineno">129</span><span class="line">class UnaryExpr;</span>
<a id="line130"></a><span class="lineno">130</span><span class="line">class ThrowExpr;</span>
<a id="line131"></a><span class="lineno">131</span><span class="line">class SizeofExpr;</span>
<a id="line132"></a><span class="lineno">132</span><span class="line">class OffsetofExpr;</span>
<a id="line133"></a><span class="lineno">133</span><span class="line">class TypeidExpr;</span>
<a id="line134"></a><span class="lineno">134</span><span class="line">class TypeofExpr;</span>
<a id="line135"></a><span class="lineno">135</span><span class="line">class NewExpr;</span>
<a id="line136"></a><span class="lineno">136</span><span class="line">class DeleteExpr;</span>
<a id="line137"></a><span class="lineno">137</span><span class="line">class ArrayExpr;</span>
<a id="line138"></a><span class="lineno">138</span><span class="line">class FuncallExpr;</span>
<a id="line139"></a><span class="lineno">139</span><span class="line">class PostfixExpr;</span>
<a id="line140"></a><span class="lineno">140</span><span class="line">class DotMemberExpr;</span>
<a id="line141"></a><span class="lineno">141</span><span class="line">class ArrowMemberExpr;</span>
<a id="line142"></a><span class="lineno">142</span><span class="line">class ParenExpr;</span>
<a id="line143"></a><span class="lineno">143</span>
<a id="line144"></a><span class="lineno">144</span><span class="line">}</span>
<a id="line145"></a><span class="lineno">145</span><span class="line">}</span>
<a id="line146"></a><span class="lineno">146</span>
<a id="line147"></a><span class="lineno">147</span><span class="line">#endif</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:28:03 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
